=== fastq/test/Makefile ===
TEST_COMMAND = mkdir -p results; ./FastQValidatorTest.sh
EXE=fastqTest
SRCONLY = FastQFileTest.cpp

include ../../Makefiles/Makefile.test
