=== general/test/packedVectorTest/Makefile ===
PATH_TO_BASE=../../..
EXE = packedVectorTest
TOOLBASE = PackedVectorTest
TEST_COMMAND= ./packedVectorTest

include $(PATH_TO_BASE)/Makefiles/Makefile.test

obj/PackedVectorTest.o: PackedVectorTest.cpp ../../PackedVector.h
