=== general/test/referenceSequenceTest/Makefile ===
PATH_TO_BASE=../../..
EXE = referenceSequenceTest
TOOLBASE = ReferenceSequenceTest
TEST_COMMAND= ./referenceSequenceTest

include $(PATH_TO_BASE)/Makefiles/Makefile.test

obj/PackedVectorTest.o: ReferenceSequenceTest.cpp ../../ReferenceSequence.h
