=== general/test/string/Makefile ===
EXE = stringTest
TOOLBASE = StringTest

TEST_COMMAND=	mkdir -p results && \
	./stringTest

include ../../../Makefiles/Makefile.test
