=== debian/changelog ===
libstatgen (1.0.14-7) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Adapt symbols to gcc-10
    Closes: #966954

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2020 22:32:36 +0200

libstatgen (1.0.14-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Adapt symbols file
    Closes: #952232

 -- Andreas Tille <tille@debian.org>  Sun, 23 Feb 2020 21:28:03 +0100

libstatgen (1.0.14-5) unstable; urgency=medium

  * Team upload.
  * Rebuild for new version of gcc to fix symbols
    Closes: #924819
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2019 09:34:14 +0100

libstatgen (1.0.14-4) unstable; urgency=medium

  * Restrict arch to any-amd64 only, not design for other arches.
     (Closes: #914149)
  * Update symbols file.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 08 Dec 2018 17:20:08 +0100

libstatgen (1.0.14-3) unstable; urgency=medium

  * Update my email address.
  * Update symbols files.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Nov 2018 23:31:13 +0100

libstatgen (1.0.14-2) unstable; urgency=medium

  * Team upload.
  * Remove erroneous deletes in Chromosome constructor.
    Closes: #905368
  * Standards-Version: 4.2.1
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 20 Sep 2018 21:16:51 +0200

libstatgen (1.0.14-1) unstable; urgency=low

  * Initial release. (Closes: #900765)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 05 Jun 2018 22:12:47 +0200
