=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Define SONAME for shared library
LIBNAME=libStatGen
SONUMBER=0
LIBSHARED=${LIBNAME}.so.${SONUMBER}

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	# Build the shared library
	$(CXX) -shared -o ${LIBSHARED} */obj/*.o -fPIC -Wl,-soname,${LIBSHARED} $(LDFLAGS)
	# Build doxygen doc
	doxygen

override_dh_auto_install:
	mkdir -p debian/libstatgen-dev/usr/include/${LIBNAME}/
	cp -L include/* debian/libstatgen-dev/usr/include/${LIBNAME}/
	ln -s ${LIBSHARED} ${LIBNAME}.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --exclude-a \
                    ${LIBNAME}.so
