=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libStatGen-$1\.tar\.gz/ \
  https://github.com/statgen/libStatGen/tags .*/v?(\d\S+)\.tar\.gz
