## libstatgen 1.0.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.14
+VERSION ?= 1.0.15
 
 .PHONY: package
