=== fastq/Makefile ===
# Source File Set
TOOLBASE = FastQFile BaseCount BaseComposition FastQStatus

include ../Makefiles/Makefile.lib
