=== glf/Makefile ===
TOOLBASE = GlfException GlfFile GlfHeader GlfRecord GlfRefSection GlfStatus

include ../Makefiles/Makefile.lib
