=== samtools/Makefile ===
TOOLBASE = bgzf knetfile
HDRONLY = khash.h bam.h

include ../Makefiles/Makefile.lib
