=== glf/test/Makefile ===
EXE = glfTest

SRCONLY = Main.cpp
TOOLBASE = ReadFiles Validate WriteFiles

TEST_COMMAND = ./glfTest

include ../../Makefiles/Makefile.test
