=== bam/examples/pileup/Makefile ===
EXE = pileup
SRCONLY = Main.cpp

TEST_COMMAND = ./pileup

include ../../../Makefiles/Makefile.test
