=== general/test/baseUtilitiesTest/Makefile ===
EXE = baseUtilitiesTest
TOOLBASE = BaseUtilitiesTest

TEST_COMMAND=	./baseUtilitiesTest

include ../../../Makefiles/Makefile.test
