=== debian/changelog ===
libstatgen (1.0.15-8) unstable; urgency=medium

  * d/rules: forcefully run LTO builds.
  * d/libstatgen1.symbols: refresh for LTO builds and gcc 14.
    The c++ filter format is notably dropped because (c++) markers do not
    seem to work well as (optional) symbols. (Closes: #1075208)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Aug 2024 17:39:07 +0200

libstatgen (1.0.15-7) unstable; urgency=medium

  * Team upload.
  * d/*.symbols*: update to fix build failure with gcc 13.
    Several symbols having disappeared or having been introduced by the
    move to gcc 13 are most likely compiler leaked and shouldn't interfere
    with consumers of the library.  They are marked as (optional).
    Closes: #1042116
  * d/clean: remove leftover doxygen files.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 24 Aug 2023 11:34:46 +0200

libstatgen (1.0.15-6) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Fix symbols file to match gcc-12 build
    Closes: #1016297

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 14:59:25 +0200

libstatgen (1.0.15-5) unstable; urgency=medium

  * Team upload.
  * Prevent parallel builds
    Closes: #1008444

 -- Andreas Tille <tille@debian.org>  Sun, 03 Apr 2022 10:05:06 +0200

libstatgen (1.0.15-4) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Étienne Mollier <emollier@debian.org>  Tue, 07 Dec 2021 22:54:22 +0100

libstatgen (1.0.15-3~0exp0) experimental; urgency=medium

  * Team upload.
  * SONAME bump from libstatgen0 to libstatgen1 (Closes: #996409)
  * d/copyright: update years
  * Add spelling.patch: fix typos caught by lintian

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Dec 2021 23:04:37 +0100

libstatgen (1.0.15-2) unstable; urgency=medium

  * Team upload.
  * Fix symbols file
    Closes: #997411
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 17:52:40 +0100

libstatgen (1.0.15-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC). (Closes: #989769)

  [ Dylan Aïssi ]
  * New upstream version
  * Remove merged patches
  * Standards-Version: 4.6.0
  * Disable dh_auto_test
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Sep 2021 17:14:18 +0200
