=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libstatgen
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <daissi@debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,13 +9,13 @@
                libssl-dev,
                zlib1g-dev,
                d-shlibs
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libstatgen
 Vcs-Git: https://salsa.debian.org/med-team/libstatgen.git
 Homepage: https://genome.sph.umich.edu/wiki/C++_Library:_libStatGen
 Rules-Requires-Root: no
 
-Package: libstatgen0
+Package: libstatgen1
 Architecture: any-amd64
 Multi-Arch: same
 Section: libs
@@ -36,7 +37,7 @@
 Architecture: any-amd64
 Multi-Arch: same
 Section: libdevel
-Depends: libstatgen0 (= ${binary:Version}),
+Depends: libstatgen1 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libstatgen-doc
 Description: development files for the libStatGen
