=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+-include /usr/share/dpkg/buildtools.mk
 
 # Define SONAME for shared library
 LIBNAME=libStatGen
-SONUMBER=0
+SONUMBER=1
 LIBSHARED=${LIBNAME}.so.${SONUMBER}
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_auto_build:
 	dh_auto_build
@@ -26,3 +27,8 @@
                     --devunversioned \
                     --exclude-a \
                     ${LIBNAME}.so
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Build time test is not run here."
+endif
